> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gladeapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Amazon Products

> Search a marketplace with category, condition, price, sorting, and pagination controls.

The `searchTerm` query parameter is required.


## OpenAPI

````yaml GET /api/amazon/search
openapi: 3.1.0
info:
  title: Glade Amazon API
  version: 1.0.0
  description: >-
    Normalized Amazon product, search, seller, category, offer, review, deal,
    and estimate data.
servers:
  - url: https://gladeapi.com
security: []
paths:
  /api/amazon/search:
    get:
      summary: Amazon Product Search Results
      description: Search the selected Amazon marketplace for products.
      operationId: get_AmazonProductSearchResults
      parameters:
        - name: domain
          in: query
          required: false
          description: Amazon marketplace code.
          schema:
            type: string
            enum:
              - US
              - UK
              - CA
              - DE
              - FR
              - IT
              - ES
              - AU
              - IN
              - MX
              - BR
              - JP
              - PL
            default: US
        - name: searchTerm
          in: query
          required: true
          description: Product search phrase.
          schema:
            type: string
        - name: categoryId
          in: query
          description: Optional Amazon category node ID.
          schema:
            type: string
        - name: sort
          in: query
          description: Result ordering. Values are case-insensitive.
          schema:
            type: string
            enum:
              - FEATURED
              - MOST_RECENT
              - PRICE_ASCENDING
              - PRICE_DESCENDING
              - AVERAGE_CUSTOMER_REVIEW
            default: FEATURED
        - name: conditions
          in: query
          description: 'Comma-separated product conditions: NEW, USED, or RENEWED.'
          schema:
            type: string
            example: NEW,RENEWED
        - name: minPrice
          in: query
          description: Minimum price in the marketplace currency.
          schema:
            type: number
            minimum: 0
        - name: maxPrice
          in: query
          description: >-
            Maximum price in the marketplace currency; must not be below
            minPrice.
          schema:
            type: number
            minimum: 0
        - name: page
          in: query
          description: Results page, from 1 through 100.
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 1
        - name: limit
          in: query
          description: Maximum results requested, from 1 through 100.
          schema:
            type: integer
            minimum: 1
            maximum: 100
      responses:
        '200':
          description: Successful Amazon data response
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: object
                    required:
                      - amazonProductSearchResults
                    properties:
                      amazonProductSearchResults:
                        $schema: http://json-schema.org/draft-07/schema#
                        type: object
                        properties:
                          availableRefinements:
                            type: array
                            items:
                              type: object
                              properties:
                                name:
                                  type: string
                                options:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      name:
                                        type: string
                                    additionalProperties: false
                              additionalProperties: false
                          productResults:
                            type: object
                            properties:
                              results:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    title:
                                      type: string
                                    url:
                                      type: string
                                    asin:
                                      type: string
                                      pattern: ^[A-Z0-9]{10}$
                                    price:
                                      type: object
                                      properties:
                                        symbol:
                                          type: string
                                        value:
                                          type: number
                                        currency:
                                          type: string
                                          minLength: 3
                                          maxLength: 3
                                        display:
                                          type: string
                                      additionalProperties: false
                                    mainImageUrl:
                                      type: string
                                    rating:
                                      type: number
                                    ratingsTotal:
                                      type: integer
                                      minimum: 0
                                      maximum: 9007199254740991
                                    isPrime:
                                      type: boolean
                                    sponsored:
                                      type: boolean
                                    coupon:
                                      anyOf:
                                        - type: object
                                          properties:
                                            label:
                                              type: string
                                          required:
                                            - label
                                          additionalProperties: false
                                        - type: 'null'
                                  additionalProperties: false
                              pageInfo:
                                type: object
                                properties:
                                  currentPage:
                                    type: integer
                                    exclusiveMinimum: 0
                                    maximum: 9007199254740991
                                  totalPages:
                                    type: integer
                                    minimum: 0
                                    maximum: 9007199254740991
                                  totalResults:
                                    type: integer
                                    minimum: 0
                                    maximum: 9007199254740991
                                  hasNextPage:
                                    type: boolean
                                  hasPrevPage:
                                    type: boolean
                                additionalProperties: false
                            additionalProperties: false
                        additionalProperties: false
        '400':
          $ref: '#/components/responses/Error'
        '401':
          $ref: '#/components/responses/Error'
        '402':
          $ref: '#/components/responses/Error'
        '403':
          $ref: '#/components/responses/Error'
        '404':
          $ref: '#/components/responses/Error'
        '429':
          $ref: '#/components/responses/Error'
        '500':
          $ref: '#/components/responses/Error'
        '502':
          $ref: '#/components/responses/Error'
        '503':
          $ref: '#/components/responses/Error'
        '504':
          $ref: '#/components/responses/Error'
      security:
        - ApiKeyAuth: []
        - BearerAuth: []
components:
  responses:
    Error:
      description: Standard error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      required:
        - success
        - errors
      properties:
        success:
          const: false
        errors:
          type: array
          items:
            type: object
            required:
              - code
              - message
            properties:
              code:
                type: integer
              message:
                type: string
              path:
                type: array
                items:
                  type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: API-KEY
    BearerAuth:
      type: http
      scheme: bearer

````